ScriptFlowContext
Date: 2019-10-22

org.jmol.script

## Class ScriptFlowContext

- java.lang.Object
- - org.jmol.script.ScriptFlowContext

-     class ScriptFlowContext
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `addLine`
    `(package private) int` | `commandStart`
    `private ScriptCompiler` | `compiler`
    `(package private) boolean` | `forceEndIf`
    `(package private) ScriptFunction` | `function`
    `int` | `ichCommand`
    `(package private) java.lang.String` | `ident`
    `(package private) short` | `line0`
    `(package private) int` | `lineStart`
    `(package private) ScriptFlowContext` | `parent`
    `(package private) int` | `pt0`
    `(package private) int` | `ptCommand`
    `(package private) int` | `ptDefault`
    `(package private) int` | `ptLine`
    `(package private) int` | `tok0`
    `(package private) ContextToken` | `token`
    `(package private) SV` | `var`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptFlowContext(ScriptCompiler compiler, ContextToken token, int pt0, ScriptFlowContext parent, int ich, short line0)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `checkForceEndIf(int offset)`
    `(package private) ScriptFlowContext` | `getBreakableContext(int nLevelsUp)`
    `(package private) java.lang.String` | `path()`
    `(package private) void` | `setFunction(ScriptFunction function)`
    `(package private) void` | `setLine()`
    `(package private) int` | `setPt0(int pt0, boolean isDefault)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### compiler

          private ScriptCompiler compiler

    - #### token

          ContextToken token

    - #### pt0

          int pt0

    - #### ptDefault

          int ptDefault

    - #### function

          ScriptFunction function

    - #### var

          SV var

    - #### parent

          ScriptFlowContext parent

    - #### lineStart

          int lineStart

    - #### commandStart

          int commandStart

    - #### ptLine

          int ptLine

    - #### ptCommand

          int ptCommand

    - #### forceEndIf

          boolean forceEndIf

    - #### ident

          java.lang.String ident

    - #### addLine

          int addLine

    - #### tok0

          int tok0

    - #### ichCommand

          public int ichCommand

    - #### line0

          short line0

  - ### Constructor Detail

    - #### ScriptFlowContext

          ScriptFlowContext(ScriptCompiler compiler,
                            ContextToken token,
                            int pt0,
                            ScriptFlowContext parent,
                            int ich,
                            short line0)

  - ### Method Detail

    - #### getBreakableContext

          ScriptFlowContext getBreakableContext(int nLevelsUp)

    - #### checkForceEndIf

          boolean checkForceEndIf(int offset)

    - #### setPt0

          int setPt0(int pt0,
                     boolean isDefault)

    - #### setLine

          void setLine()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### path

          java.lang.String path()

    - #### setFunction

          void setFunction(ScriptFunction function)